SessionCookieConfig (Servlet 3.1 API Documentation - Apache Tomcat 8.5.96)

Package javax.servlet

## Interface SessionCookieConfig

-     public interface SessionCookieConfig

  Configures the session cookies used by the web application associated with the ServletContext from which this SessionCookieConfig was obtained.
  Since:
    Servlet 3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getComment()` | Obtain the comment to use for session cookies.
    `java.lang.String` | `getDomain()` | Obtain the domain to use for session cookies.
    `int` | `getMaxAge()` | Obtain the maximum age to set for a session cookie.
    `java.lang.String` | `getName()` | Obtain the name to use for the session cookies.
    `java.lang.String` | `getPath()` | Obtain the path to use for session cookies.
    `boolean` | `isHttpOnly()` | Will session cookies be created with the httpOnly flag set?
    `boolean` | `isSecure()` | Will session cookies be created with the secure flag set?
    `void` | `setComment​(java.lang.String comment)` | Sets the comment for the session cookie
    `void` | `setDomain​(java.lang.String domain)` | Sets the domain for the session cookie
    `void` | `setHttpOnly​(boolean httpOnly)` | Sets the httpOnly flag for the session cookie.
    `void` | `setMaxAge​(int MaxAge)` | Sets the maximum age.
    `void` | `setName​(java.lang.String name)` | Sets the session cookie name.
    `void` | `setPath​(java.lang.String path)` | Sets the path of the session cookie.
    `void` | `setSecure​(boolean secure)` | Sets the secure flag for the session cookie.

- - ### Method Detail

    - #### setName

          void setName​(java.lang.String name)

      Sets the session cookie name.
      Parameters:
        `name` - The name of the session cookie
      Throws:
        `java.lang.IllegalStateException` - if the associated ServletContext has already been initialised

    - #### getName

          java.lang.String getName()

      Obtain the name to use for the session cookies.
      Returns:
        the name to use for session cookies.

    - #### setDomain

          void setDomain​(java.lang.String domain)

      Sets the domain for the session cookie
      Parameters:
        `domain` - The session cookie domain
      Throws:
        `java.lang.IllegalStateException` - if the associated ServletContext has already been initialised

    - #### getDomain

          java.lang.String getDomain()

      Obtain the domain to use for session cookies.
      Returns:
        the domain to use for session cookies.

    - #### setPath

          void setPath​(java.lang.String path)

      Sets the path of the session cookie.
      Parameters:
        `path` - The session cookie path
      Throws:
        `java.lang.IllegalStateException` - if the associated ServletContext has already been initialised

    - #### getPath

          java.lang.String getPath()

      Obtain the path to use for session cookies. This is normally the context path.
      Returns:
        The path to use for session cookies.

    - #### setComment

          void setComment​(java.lang.String comment)

      Sets the comment for the session cookie
      Parameters:
        `comment` - The session cookie comment
      Throws:
        `java.lang.IllegalStateException` - if the associated ServletContext has already been initialised

    - #### getComment

          java.lang.String getComment()

      Obtain the comment to use for session cookies.
      Returns:
        the comment to use for session cookies.

    - #### setHttpOnly

          void setHttpOnly​(boolean httpOnly)

      Sets the httpOnly flag for the session cookie.
      Parameters:
        `httpOnly` - The httpOnly setting to use for session cookies
      Throws:
        `java.lang.IllegalStateException` - if the associated ServletContext has already been initialised

    - #### isHttpOnly

          boolean isHttpOnly()

      Will session cookies be created with the httpOnly flag set?
      Returns:
        `true` if the flag should be set, otherwise `false`

    - #### setSecure

          void setSecure​(boolean secure)

      Sets the secure flag for the session cookie.
      Parameters:
        `secure` - The secure setting to use for session cookies
      Throws:
        `java.lang.IllegalStateException` - if the associated ServletContext has already been initialised

    - #### isSecure

          boolean isSecure()

      Will session cookies be created with the secure flag set?
      Returns:
        `true` if the flag should be set, otherwise `false`

    - #### setMaxAge

          void setMaxAge​(int MaxAge)

      Sets the maximum age.
      Parameters:
        `MaxAge` - the maximum age to set
      Throws:
        `java.lang.IllegalStateException` - if the associated ServletContext has already been initialised

    - #### getMaxAge

          int getMaxAge()

      Obtain the maximum age to set for a session cookie.
      Returns:
        the maximum age in seconds